<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: dynamics.Dynamics Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classdynamics_1_1_dynamics.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdynamics_1_1_dynamics-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">dynamics.Dynamics Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dynamics.Dynamics:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdynamics_1_1_dynamics.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac5fc92fd458d22a56c4fd7ba637523cd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#ac5fc92fd458d22a56c4fd7ba637523cd">__init__</a> (self, str <a class="el" href="classdynamics_1_1_dynamics.html#a9d28d56cfbc94a48b6d0e16c3cd132e0">database</a>, np.array <a class="el" href="classdynamics_1_1_dynamics.html#aaeb52ef5f1b73de08619a7692ef4be67">w_initial</a>, np.array <a class="el" href="classdynamics_1_1_dynamics.html#a07615ccdac6640cf687cdbe75b9eee0c">euler_init</a>, bool <a class="el" href="classdynamics_1_1_dynamics.html#a6dd84b6876b2e32b51a6235a0e72f02c">att_random</a>, float <a class="el" href="classdynamics_1_1_dynamics.html#a9e4e62a7349552123af04a1edb4deac6">sampling_rate</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a893adee2eb1149b1da49a3f11476a477">I_xx</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a42879877ef3fa439654a09a52dfab4db">I_yy</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a0369a62b5d73a5d8dbb1cfa974dc6561">I_zz</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a5c35822b3ecd2168c5702c9fbb354a5e">torque_initial</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a6da3d358e5c10996cc6b32249ff21f77">outputs</a>)</td></tr>
<tr class="separator:ac5fc92fd458d22a56c4fd7ba637523cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad012f561b828df1a38e0520d88235174"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#ad012f561b828df1a38e0520d88235174">state_derivative</a> (self, state, t, torque, J)</td></tr>
<tr class="separator:ad012f561b828df1a38e0520d88235174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a072039c0ca5abcd7d8c294b773586d8b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a072039c0ca5abcd7d8c294b773586d8b">output</a> (self, float simulated_time)</td></tr>
<tr class="separator:a072039c0ca5abcd7d8c294b773586d8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6da3d358e5c10996cc6b32249ff21f77"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a6da3d358e5c10996cc6b32249ff21f77">outputs</a></td></tr>
<tr class="separator:a6da3d358e5c10996cc6b32249ff21f77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d28d56cfbc94a48b6d0e16c3cd132e0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a9d28d56cfbc94a48b6d0e16c3cd132e0">database</a></td></tr>
<tr class="separator:a9d28d56cfbc94a48b6d0e16c3cd132e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd84b6876b2e32b51a6235a0e72f02c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a6dd84b6876b2e32b51a6235a0e72f02c">att_random</a></td></tr>
<tr class="separator:a6dd84b6876b2e32b51a6235a0e72f02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e4e62a7349552123af04a1edb4deac6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a9e4e62a7349552123af04a1edb4deac6">sampling_rate</a></td></tr>
<tr class="separator:a9e4e62a7349552123af04a1edb4deac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a893adee2eb1149b1da49a3f11476a477"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a893adee2eb1149b1da49a3f11476a477">I_xx</a></td></tr>
<tr class="separator:a893adee2eb1149b1da49a3f11476a477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42879877ef3fa439654a09a52dfab4db"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a42879877ef3fa439654a09a52dfab4db">I_yy</a></td></tr>
<tr class="separator:a42879877ef3fa439654a09a52dfab4db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0369a62b5d73a5d8dbb1cfa974dc6561"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a0369a62b5d73a5d8dbb1cfa974dc6561">I_zz</a></td></tr>
<tr class="separator:a0369a62b5d73a5d8dbb1cfa974dc6561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaeb52ef5f1b73de08619a7692ef4be67"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#aaeb52ef5f1b73de08619a7692ef4be67">w_initial</a></td></tr>
<tr class="separator:aaeb52ef5f1b73de08619a7692ef4be67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07615ccdac6640cf687cdbe75b9eee0c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a07615ccdac6640cf687cdbe75b9eee0c">euler_init</a></td></tr>
<tr class="separator:a07615ccdac6640cf687cdbe75b9eee0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c35822b3ecd2168c5702c9fbb354a5e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#a5c35822b3ecd2168c5702c9fbb354a5e">torque_initial</a></td></tr>
<tr class="separator:a5c35822b3ecd2168c5702c9fbb354a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4818d5ed336e25174eab6462a15f8fa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html#ab4818d5ed336e25174eab6462a15f8fa">column_names</a></td></tr>
<tr class="separator:ab4818d5ed336e25174eab6462a15f8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac5fc92fd458d22a56c4fd7ba637523cd" name="ac5fc92fd458d22a56c4fd7ba637523cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5fc92fd458d22a56c4fd7ba637523cd">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dynamics.Dynamics.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.array&#160;</td>
          <td class="paramname"><em>w_initial</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.array&#160;</td>
          <td class="paramname"><em>euler_init</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>att_random</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>I_xx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>I_yy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>I_zz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>torque_initial</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a072039c0ca5abcd7d8c294b773586d8b" name="a072039c0ca5abcd7d8c294b773586d8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a072039c0ca5abcd7d8c294b773586d8b">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dynamics.Dynamics.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>simulated_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">The first derivative of the state vector components are integrated over the time period of a time-step to
get the angular velocity components and the quaternion which rotates the satellite relative to the TEME-Frame.
Note: The orientation of the Satellite in other scripts has to be updated every time-step
        with the last line of table "state_sat" </pre> 
</div>
</div>
<a id="ad012f561b828df1a38e0520d88235174" name="ad012f561b828df1a38e0520d88235174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad012f561b828df1a38e0520d88235174">&#9670;&nbsp;</a></span>state_derivative()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def dynamics.Dynamics.state_derivative </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>torque</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>J</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Computes the first derivative of the state vector components from the Euler rotational equation for a rigid
body in its principle axis frame</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6dd84b6876b2e32b51a6235a0e72f02c" name="a6dd84b6876b2e32b51a6235a0e72f02c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dd84b6876b2e32b51a6235a0e72f02c">&#9670;&nbsp;</a></span>att_random</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.att_random</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4818d5ed336e25174eab6462a15f8fa" name="ab4818d5ed336e25174eab6462a15f8fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4818d5ed336e25174eab6462a15f8fa">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9d28d56cfbc94a48b6d0e16c3cd132e0" name="a9d28d56cfbc94a48b6d0e16c3cd132e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d28d56cfbc94a48b6d0e16c3cd132e0">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a07615ccdac6640cf687cdbe75b9eee0c" name="a07615ccdac6640cf687cdbe75b9eee0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07615ccdac6640cf687cdbe75b9eee0c">&#9670;&nbsp;</a></span>euler_init</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.euler_init</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a893adee2eb1149b1da49a3f11476a477" name="a893adee2eb1149b1da49a3f11476a477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a893adee2eb1149b1da49a3f11476a477">&#9670;&nbsp;</a></span>I_xx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.I_xx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42879877ef3fa439654a09a52dfab4db" name="a42879877ef3fa439654a09a52dfab4db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42879877ef3fa439654a09a52dfab4db">&#9670;&nbsp;</a></span>I_yy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.I_yy</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0369a62b5d73a5d8dbb1cfa974dc6561" name="a0369a62b5d73a5d8dbb1cfa974dc6561"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0369a62b5d73a5d8dbb1cfa974dc6561">&#9670;&nbsp;</a></span>I_zz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.I_zz</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6da3d358e5c10996cc6b32249ff21f77" name="a6da3d358e5c10996cc6b32249ff21f77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6da3d358e5c10996cc6b32249ff21f77">&#9670;&nbsp;</a></span>outputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.outputs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e4e62a7349552123af04a1edb4deac6" name="a9e4e62a7349552123af04a1edb4deac6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e4e62a7349552123af04a1edb4deac6">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c35822b3ecd2168c5702c9fbb354a5e" name="a5c35822b3ecd2168c5702c9fbb354a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c35822b3ecd2168c5702c9fbb354a5e">&#9670;&nbsp;</a></span>torque_initial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.torque_initial</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaeb52ef5f1b73de08619a7692ef4be67" name="aaeb52ef5f1b73de08619a7692ef4be67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaeb52ef5f1b73de08619a7692ef4be67">&#9670;&nbsp;</a></span>w_initial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dynamics.Dynamics.w_initial</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="dynamics_8py.html">dynamics.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacedynamics.html">dynamics</a></li><li class="navelem"><a class="el" href="classdynamics_1_1_dynamics.html">Dynamics</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
